<script>
import { mapState } from 'vuex';

export default {
  computed: {
    ...mapState(['lightsOn', 'message'])
  },
  updated() {
    this.$el.scrollTop = this.$el.clientHeight;
  }
};
</script>

<template>
  <div
    v-show="lightsOn"
    class="w-full text-gray-900 bg-white p-3 rounded-b-lg font-bold text-box"
  >
    <template v-if="message">{{ message }}</template>
    <template v-else
      >&nbsp;</template
    >
  </div>
</template>

<style>
.text-box {
  height: 8em;
}
</style>
